preact-compat-scripts-ts
Configuration and scripts for Create React App.
Last updated 2 years ago by jmfirth .
BSD-3-Clause · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install preact-compat-scripts-ts 
SYNC missed versions from official npm registry.

preact-compat-scripts-ts npm version

Create React-compatable apps with Preact (and Typescript) with no build configuration.

Compressed output:

File sizes after gzip:

  12.91 KB  build/static/js/main.c57e6d2d.js
  317 B    build/static/css/main.9a0fe4f1.css

tl;dr

npm install -g create-react-app

create-react-app my-app --scripts-version=preact-compat-scripts-ts
cd my-app/
npm start

Additional Features

Code highlighting on error

When you run npm run build the terminal will output the error, including the highlighted sourecode (like babel)!

CodeHighlight

Credits

Forked from react-scripts-ts by William Monk.

Current Tags

  • 0.9.24                                ...           latest (2 years ago)

4 Versions

  • 0.9.24                                ...           2 years ago
  • 0.9.23                                ...           2 years ago
  • 0.9.22                                ...           2 years ago
  • 0.9.21                                ...           2 years ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 4
Last Day 0
Last Week 0
Last Month 0
Dev Dependencies (2)
Dependents (0)
None

Copyright 2014 - 2016 © taobao.org |